CVE-2004-1702
CVSS5.0
发布时间 :2004-08-09 00:00:00
修订时间 :2016-10-17 22:59:26
NMCO    

[原文]The AuthenticationDialogue function in cfservd for Cfengine 2.0.0 to 2.1.7p1 does not properly check the return value of the ReceiveTransaction function, which leads to a failed malloc call and triggers to a null dereference, which allows remote attackers to cause a denial of service (crash).


[CNNVD]Cfengine远程拒绝服务漏洞(CNNVD-200408-125)

        
        cfengine(配置引擎)是一款UNIX 管理工具,是管理任务自动化。
        cfengine AuthenticationDialogue()函数对返回值检查不充分,远程攻击者可以利用这个漏洞对服务进行拒绝服务攻击。
        问题存在于AuthenticationDialogue()函数中,由于对ReceiveTransaction()返回值没有检查,然后此值用于调用malloc(),而且对返回值还是没有检查,最后返回的指针用于memcpy的目表参数。通常ReceiveTransaction()返回的值是整数,但是有可能返回-1,如果伪造cfengine版本为1协议包,就会导致由于malloc(-1)而返回NULL,造成memcpy(0,in,-1)调用使服务崩溃。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:gnu:cfengine:2.0.8:p1
cpe:/a:gnu:cfengine:2.1.7:p1
cpe:/a:gnu:cfengine:2.0.5:pre
cpe:/a:gnu:cfengine:2.0.7GNU Cfengine 2.0.7
cpe:/a:gnu:cfengine:2.0.5:b1
cpe:/a:gnu:cfengine:2.0.6GNU Cfengine 2.0.6
cpe:/a:gnu:cfengine:2.0.3GNU Cfengine 2.0.3
cpe:/a:gnu:cfengine:2.0.8GNU Cfengine 2.0.8
cpe:/a:gnu:cfengine:2.0.5GNU Cfengine 2.0.5
cpe:/a:gnu:cfengine:2.0.2GNU Cfengine 2.0.2
cpe:/a:gnu:cfengine:2.0.4GNU Cfengine 2.0.4
cpe:/a:gnu:cfengine:2.0.1GNU Cfengine 2.0.1
cpe:/a:gnu:cfengine:2.0.0GNU Cfengine 2.0.0
cpe:/a:gnu:cfengine:2.0.7:p1
cpe:/a:gnu:cfengine:2.1.0:a9
cpe:/a:gnu:cfengine:2.0.5:pre2
cpe:/a:gnu:cfengine:2.1.0:a8
cpe:/a:gnu:cfengine:2.0.7:p2
cpe:/a:gnu:cfengine:2.0.7:p3
cpe:/a:gnu:cfengine:2.1.0:a6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1702
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1702
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-125
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109208394910086&w=2
(UNKNOWN)  BUGTRAQ  20040809 CORE-2004-0714: Cfengine RSA Authentication Heap Corruption
http://security.gentoo.org/glsa/glsa-200408-08.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200408-08
http://www.coresecurity.com/common/showdoc.php?idx=387&idxseccion=10
(VENDOR_ADVISORY)  MISC  http://www.coresecurity.com/common/showdoc.php?idx=387&idxseccion=10
http://www.securityfocus.com/bid/10900
(VENDOR_ADVISORY)  BID  10900
http://xforce.iss.net/xforce/xfdb/16937
(VENDOR_ADVISORY)  XF  cfengine-cfservd-dos(16937)

- 漏洞信息

Cfengine远程拒绝服务漏洞
中危 其他
2004-08-09 00:00:00 2005-10-20 00:00:00
远程  
        
        cfengine(配置引擎)是一款UNIX 管理工具,是管理任务自动化。
        cfengine AuthenticationDialogue()函数对返回值检查不充分,远程攻击者可以利用这个漏洞对服务进行拒绝服务攻击。
        问题存在于AuthenticationDialogue()函数中,由于对ReceiveTransaction()返回值没有检查,然后此值用于调用malloc(),而且对返回值还是没有检查,最后返回的指针用于memcpy的目表参数。通常ReceiveTransaction()返回的值是整数,但是有可能返回-1,如果伪造cfengine版本为1协议包,就会导致由于malloc(-1)而返回NULL,造成memcpy(0,in,-1)调用使服务崩溃。
        

- 公告与补丁

        厂商补丁:
        Cfengine
        --------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载最新的Cfengine 2.1.8版本:
        
        http://www.cfengine.org

- 漏洞信息

8406
Cfengine AuthenticationDialogue() Function Remote DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Public Vendor Verified

- 漏洞描述

Cfengine contains a flaw that may allow a remote denial of service. The problem is that the 'AuthenticationDialogue()' function does not properly check the return value of the 'ReceiveTransaction()' function. With a specially crafted request, a remote attacker could crash the daemon resulting in a loss of availability.

- 时间线

2004-08-09 2004-07-26
2004-08-09 2004-08-03

- 解决方案

Upgrade to version 2.1.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站